OpenShot Audio Library | OpenShotAudio: juce::AudioData::BigEndian Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.0

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
juce::AudioData::BigEndian Class Reference

`#include <juce_AudioDataConverters.h>`

## Public Types
enum | { isBigEndian = 1 }

## Static Public Member Functions
template<class SampleFormatType >
static float | getAsFloat (SampleFormatType &s) noexcept
template<class SampleFormatType >
static void | setAsFloat (SampleFormatType &s, float newValue) noexcept
template<class SampleFormatType >
static int32 | getAsInt32 (SampleFormatType &s) noexcept
template<class SampleFormatType >
static void | setAsInt32 (SampleFormatType &s, int32 newValue) noexcept
template<class SourceType , class DestType >
static void | copyFrom (DestType &dest, SourceType &source) noexcept

## Detailed Description

Used as a template parameter for AudioData::Pointer. Indicates that the samples can only be used for const data..

Definition at line 69 of file juce_AudioDataConverters.h.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Definition at line 77 of file juce_AudioDataConverters.h.

## Member Function Documentation

## ◆ copyFrom()

template<class SourceType , class DestType >

static void juce::AudioData::BigEndian::copyFrom | ( | DestType & | dest,
|  | SourceType & | source
| ) |  |
| inlinestaticnoexcept

Definition at line 76 of file juce_AudioDataConverters.h.

## ◆ getAsFloat()

template<class SampleFormatType >

static float juce::AudioData::BigEndian::getAsFloat | ( | SampleFormatType & | s | ) |
| inlinestaticnoexcept

Definition at line 72 of file juce_AudioDataConverters.h.

## ◆ getAsInt32()

template<class SampleFormatType >

static int32 juce::AudioData::BigEndian::getAsInt32 | ( | SampleFormatType & | s | ) |
| inlinestaticnoexcept

Definition at line 74 of file juce_AudioDataConverters.h.

## ◆ setAsFloat()

template<class SampleFormatType >

static void juce::AudioData::BigEndian::setAsFloat | ( | SampleFormatType & | s,
|  | float | newValue
| ) |  |
| inlinestaticnoexcept

Definition at line 73 of file juce_AudioDataConverters.h.

## ◆ setAsInt32()

template<class SampleFormatType >

static void juce::AudioData::BigEndian::setAsInt32 | ( | SampleFormatType & | s,
|  | int32 | newValue
| ) |  |
| inlinestaticnoexcept

Definition at line 75 of file juce_AudioDataConverters.h.

The documentation for this class was generated from the following file:

- juce_AudioDataConverters.h